<div class="card panel-fcs-border shadow-sm">
    <div class="card-header">
        <span class="fcs-card-title h1">[% $user->gettext('Spezielle Notationen') %]</span>
    </div>
    <div class='card-body'>
        <h3>[% $user->gettext('Allgemeine') %]</h3>
        <ul>
            <li>[% $user->gettext('Der HTML Code kann über CSS-Anweisungen selbst gestaltet werden. <b>Bitte beachten Sie, dass die vordefinierte IDs und Namen Attribute der "&lt;input&gt;" Elemente nicht verändert werden dürfen, damit die Kommunikation mit Heinzelmann funktioniert.</b>') %]</li>
            <li>[% $user->gettext('Sie können dem Formular neue Felder hinzufügen. Sie werden in der Ticketbeschreibung angezeigt.') %]</li>
            <li>[% $user->gettext('Es gibt einige spezielle Smarty Notations (zwischen &lsqb;&percnt; und &percnt;&rsqb;) im HTML. Sie können die Beschreibung dazu in der folgenden Tabelle lesen.') %]</li>
        </ul>
        <h3>[% $user->gettext('Smarty Notationen erklären') %]</h3>
        <table class='table table-bordered'>
            <thead>
                <tr>
                    <th>[% $user->gettext('Notation') %]</th>
                    <th>[% $user->gettext('Erklärung') %]</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>&lt;input type="hidden" name="aT" value="&lsqb;&percnt; $aT &percnt;&rsqb;"&gt;&lt;/td&gt;
                    <td>[% $user->gettext('Diese Zeile brauchen Sie, damit das Formular sich in Heinzelmann authentizieren kann.') %]</td>
                </tr>
                <tr>
                    <td>&lsqb;&percnt; if $success &percnt;&rsqb;
                        <br>...
                        <br>&lsqb;&percnt; $user->gettext('Ticket wurde angelegt. Kontakt erhält eine Benachrichtigung.') &percnt;&rsqb;
                        <br>...
                        <br>&lsqb;&percnt; /if &percnt;&rsqb;
                    </td>
                    <td>[% $user->gettext('Meldung, die angezeigt werden nachdem ein Ticket erfolgreich angelegt wird. Inhalt der Meldung kann angepasst werden.') %]</td>
                </tr>
                <tr>
                    <td>
                        <br>&lsqb;&percnt; if $Tools->FCS_Count($errors) > 0 &percnt;&rsqb;
                        <br>...
                        <br>        &lsqb;&percnt; foreach $errors as $error &percnt;&rsqb;
                        <br>        &lsqb;&percnt; $error &percnt;&rsqb;
                        <br>        &lsqb;&percnt; /foreach &percnt;&rsqb;
                        <br> ...
                        <br> &lsqb;&percnt; /if &percnt;&rsqb;
                    </td>
                    <td>[% $user->gettext('Alle Fehler auflisten, wenn es Fehler gibt. ') %]</td>
                </tr>
                <tr>
                    <td>
                        &lt;select class="form-control" name="TicketTemplateID" id="TicketTemplateID"&gt;<br>
                        &lt;option value="0"&gt;Keine&lt;/option&gt;<br>
                        &lsqb;&percnt; foreach $templates as $template &percnt;&rsqb;<br>
                        &lt;option value="&lsqb;&percnt; $template.tickettemplateid &percnt;&rsqb;" &lsqb;&percnt;if $old.TicketTemplateID == $template.tickettemplateid &percnt;&rsqb;selected="selected"&lsqb;&percnt; /if &percnt;&rsqb;&gt;&lsqb;&percnt; $template.shortdescr &percnt;&rsqb;&lt;/option&gt;<br>
                        &lsqb;&percnt;/foreach &percnt;&rsqb;
                    </select>
                    </td>
                    <td>[% $user->gettext('Auswahlliste für Ticketvorlagen. ') %]</td>
                </tr>
                <tr>
                    <td>
                        value = &lsqb;&percnt; $old. ...  &percnt;&rsqb;
                    </td>
                     <td>[% $user->gettext('Die von User eigegebene Daten anzeigen, wenn Ticket nicht angelegt werden kann.') %]</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>