[% if $field.type == "seperator" %]
    <div class="FormField"><hr/></div>
    [% else %]

    <div class="form-group row mb-3">
        <label class="[% if $field.showundertitle %] col-xs-12 [% else %] col-xs-4 [% /if %] control-label">
            [% $field.title %]:
            [% if $field.required == "Y" && $editable %]
                <span class="required" title="[% $user->gettext('Pflichtfeld') %]">*</span>
            [% /if %]
            [% if $SubformForElement && $user->Security->Company != 'steute Schaltgeräte GmbH & Co. KG' %]
                <span class="help-block">[% $user->gettext('Übergabefeld von') %] [% $SubformForElement %]</span>
            [% /if %]
        </label>


        <div class="col-8">

            [% if $field.type == "text" %]
                <input type="[% if $field.password == "Y" %]password[% else %]text[% /if %]" id="field_[% $field.name %]" name="[% $field.name %]" value="[% $data[$field.name] %]" size="[% $field.size %]" maxlength="[% $field.max %]" minlength="[% $field.min %]" class="form-control" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] />
            [% /if %]
            [% if $field.type == "userdata" %]
                <input type="hidden" name="[% $field.name %][userid]" value="[% $user->UserID %]" />
                <ul class="list-unstyled">
                    [% foreach from=$field.userdata item=Userdata key=Dataname %]
                        <li class="option">[% $user->gettext($Dataname) %]: <strong>[% $data[$field.name][$Dataname] %]</strong></li>
                        [% /foreach %]
                </ul>
            [% /if %]
            [% if $field.type == "contactdata" %]
                <input type="hidden" name="[% $field.name %][contactid]" />
                <ul class="list-unstyled">
                    [% foreach from=$field.contactdata item=Contactdata key=Dataname %]
                        <li class="option">[% $user->gettext($Dataname) %]: <strong>[% $data[$field.name][$Dataname] %]</strong></li>
                        [% /foreach %]
                </ul>
            [% /if %]
            [% if $field.type == "assets" %]
                <select name="[% $field.name %]" id="field_[% $field.name %]" size="1" class="form-control wf_assets" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width:100%;">
                    <option value="[% $data[$field.name].id %]" selected="selected">[% $data[$field.name].name %]</option>
                </select>

                <ul class="list-unstyled">
                    [% foreach from=$field.assets item=Asset key=Dataname %]
                        <li class="option">[% $user->gettext($Dataname) %]: <strong>[% $data[$field.name][$Dataname] %]</strong></li>
                        [% /foreach %]
                </ul>
            [% /if %]

            [% if $field.type == "selecteduserdata" %]

                <select name="[% $field.name %][userid]" id="field_[% $field.name %]" size="1" class="form-control userSelect" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width:100%;">
                    <option hidden>--[% $user->gettext('Bitte wählen') %]--</option>

                    [%* Nur jene Benutzer in die Liste aufnehmen, die schon gewählt sind. Die Auswahl wird dynamisch durch .userSelect in view_ActivityForm.tpl und view_activityInstanceForm.tpl geladen *%]
                    [% foreach from=$HMUsers item=User key=UserID %]
                        [% if $data[$field.name]['userid'] == $UserID %]
                            <option value="[% $UserID %]" selected>[% $User %]</option>
                        [% /if %]
                    [% /foreach %]
                    [%* html_options options=$HMUsers selected=$data[$field.name]['userid'] *%]
                </select>

                <ul class="list-unstyled">
                    [% foreach from=$field.userdata item=Userdata key=Dataname %]
                        <li class="option">[% $user->gettext($Dataname) %]: <strong>[% $data[$field.name][$Dataname] %]</strong></li>
                        [% /foreach %]
                </ul>
            [% /if %]
            [% if $field.type == "selectedcontactdata" %]

                <select name="[% $field.name %][contactid]" id="field_[% $field.name %]" size="1" class="form-control contactSelect" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width:100%;">
                    <option hidden>--[% $user->gettext('Bitte wählen') %]--</option>
                    [%* Nur jene Kontakte in die Liste aufnehmen, die schon gewählt sind. Die Auswahl wird dynamisch durch .contactSelect in view_ActivityForm.tpl und view_activityInstanceForm.tpl geladen *%]
                    [% foreach from=$HMContacts item=Contact key=ContactID %]
                        [% if $data[$field.name]['contactid'] == $ContactID %]
                            <option value="[% $ContactID %]" selected>[% $Contact %]</option>
                        [% /if %]
                    [% /foreach %]
            
                    [%* html_options options=$HMContacts selected=$data[$field.name]['contactid'] *%]
                </select>

                <ul class="list-unstyled">
                    [% foreach from=$field.contactdata item=ContactData key=Dataname %]
                        <li class="option">[% $user->gettext($Dataname) %]: <strong>[% $data[$field.name][$Dataname] %]</strong></li>
                        [% /foreach %]
                </ul>
            [% /if %]

            [% if $field.type == "textarea" %]
                <span class="field">
                    [% if !$editActivity %]
                        <div id="toolbar-container-[% $field.FieldID %]">
                            [% if 1==0 %]
                                <select class="ql-font"  title="[% $user->gettext('Schriftart') %]">
                                    [% foreach $EditorFonts as $Font%]
                                        <option value="[% $Font.code %]"></option>;
                                    [% /foreach%]
                                </select>
                            [% /if %]
                            <span class="ql-formats">
                                <select class="ql-size" title="[% $user->gettext('Schriftgröße') %]">
                                    <option value="small"></option>
                                    <option selected=""></option>
                                    <option value="large"></option>
                                    <option value="huge"></option>
                                </select>
                            </span>
                            <span class="ql-formats">
                                <button class="ql-bold" title="[% $user->gettext('Fett') %]"></button>
                                <button class="ql-italic" title="[% $user->gettext('Kursiv') %]"></button>
                                <button class="ql-underline" title="[% $user->gettext('Unterstrichen') %]"></button>
                                <button class="ql-strike" title="[% $user->gettext('Durchgestrichen') %]"></button>
                                <button class="ql-link" title="[% $user->gettext('Link') %]"></button>

                            </span>
                            <span class="ql-formats">
                                <select class="ql-color" title="[% $user->gettext('Textfarbe') %]"></select>
                                <select class="ql-background" title="[% $user->gettext('Text-Hintergrundfarbe') %]"></select>
                            </span>
                            <span class="ql-formats">
                                <button class="ql-list" value="ordered" title="[% $user->gettext('Geordnete Liste') %]"></button>
                                <button class="ql-list" value="bullet" title="[% $user->gettext('Aufzählungsliste') %]"></button>
                            </span>

                            <span class="ql-formats">
                                <button type="button"  id="editHTMLBtn_[% $field.FieldID %]" title="Reiner Text"><span class="fa fa-code"></span></button>
                            </span>
                            <span class="ql-formats">
                                <a href="index.php?module=ticket&class=snippets&event=listSnippets&fieldid=[% $field.FieldID %]" title="[% $user->gettext('Textbaustein wählen') %]" class="openInBigIFrameModal" id="insertSnippet"><img src="images/project.png"></a>
                                <a href="index.php?module=ticket&class=snippets" id="showSnippetlist" class="dialog_ticketlist" title="[% $user->gettext('Alle Textbausteine') %]"><img src="images/content.png"></a>
                                <a href="#addSnippet" id="showAddSnippet" class="dialog_medium" style="" title="[% $user->gettext('Textbaustein hinzufügen') %]"><img src="images/project_add.png"></a>
                            </span>

                        </div>
                        <div id="quill_[% $field.FieldID %]" style="height: [% $field.max|default:6 * 30 %]px;">
                        </div>
                    [% /if %]
                    <textarea class="form-control [% if !$editActivity %]wf_textarea[% /if %]" style="[% if !$editActivity %]height: 0px; visibility:hidden;[% else %]height:[% $field.max * 30 %]px;[% /if %]" id="textarea_[% $field.FieldID %]" rows="[% $field.max %]" name="[% $field.name %]">[% $data[$field.name] %]</textarea>
       <!-- <textarea name="[% $field.name %]" id="field_[% $field.name %]" cols="[% $field.size %]" rows="[% $field.max %]" style="min-height: 300px;" class="form-control wf_textarea" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %]>[% $data[$field.name] %]</textarea>-->
                </span>
            [% /if %]
            [% if $field.type == "date" %]
                <input type="text" name="[% $field.name %]" value="[% $data[$field.name] %]" size="10" maxlength="10" id="field_[% $field.name %]" class="form-control [% if $editable %]datepicker[% /if %] " [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] />
            [% /if %]
            [% if $field.type == "datetime" %]
                <input type="text" name="[% $field.name %]" value="[% $data[$field.name] %]" size="16" maxlength="16" id="field_[% $field.name %]" class="form-control [% if $editable %]datetimepicker[% /if %] " [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] />
            [% /if %]
            [% if $field.type == "integer" || $field.type == "value" %]
                <input type="text" name="[% $field.name %]" id="field_[% $field.name %]" value="[% $data[$field.name] %]" size="5" maxlength="5" class="form-control " [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] />
            [% /if %]
            [% if $field.type == "checkbox" || $field.type == "checklist" %]

                [% foreach from=$field.ele item=ele name=checklist %]
                    <label><input type="checkbox" name="[% $field.name %][]" class="[% if $field.required == 'Y' %]checklist_required_[% $field.name %][% /if %]" value="[% $ele %]" [% if $Tools->FCS_InArray($ele, $data[$field.sqlname] ) %]checked="checked"[% /if %]  /> &nbsp;[% $ele %]</label><br>
                    [% /foreach %]

            [% /if %]
            [% if $field.type == "radio" %]
                [% foreach from=$field.ele item=ele name=checklist %]
                    <label for="[% $field.name %]"><input type="radio" name="[% $field.name %]" value="[% $ele %]" [% if $ele == $data[$field.sqlname] %]checked="checked"[% /if %] />&nbsp;[% $ele %]</label><br />
                    <div id="SubFormUnderOption_[% $field.name %]_[% $ele|replace:' ':''%]" class="SubFormUnderOption"></div>
                [% /foreach %]
            [% /if %]
            [% if $field.type == "select" || $field.type == "optionsWithAddress" %]
                <select name="[% $field.name %][% if $field.multiselect == "Y"%][][% /if %]" id="field_[% $field.name %]" size="[% $field.max %]" [% if $field.multiselect == "Y"%]multiple="multiple"[% /if %] class="form-control multiple [% if $field.multiselect == "Y"%]selectpicker[% /if %] [% if $field.type == "optionsWithAddress" %]withOptions[% /if %] " [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %]>
                    [% foreach from=$field.ele item=ele %]
                        [% html_options values=$ele output=$ele selected=$data[$field.name] %]
                    [% /foreach %]
                </select>

                [% if $field.type == "optionsWithAddress" %]
                    <div style="display:inline-block;">
                        <span id="AddressDatafield_[% $field.name %]"></span>
                    </div>
                [% /if %]

            [% /if %]
            [% if $field.type == "notice" %]
                <span class="form-control-static" style="display:block;width:100%;padding: 5px;">[% $tools->bbcode($field.descr|nl2br) %]</span>
            [% /if %]


            [% if $field.type == "AdressSelection" %]
                <span class="field">
                    <select name="[% $field.name %][]" id="field_[% $field.name %]" size="1" class="form-control userSelect "  multiple="multiple" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width:100%;">
                        <option disabled>--[% $user->gettext('Bitte wählen') %]--</option>

                    [%* Nur jene Benutzer in die Liste aufnehmen, die schon gewählt sind. Die Auswahl wird dynamisch durch .userSelect in view_ActivityForm.tpl und view_activityInstanceForm.tpl geladen *%]
                    [% foreach from=$HMUsers item=User key=UserID %]
                        [% if $Tools->FCS_InArray($UserID, $data[$field.name] ) %]
                            <option value="[% $UserID %]" selected>[% $User %]</option>
                        [% /if %]
                    [% /foreach %]

                        [%* html_options options=$HMUsers selected=$data[$field.name] *%]
                    </select>
                </span>
            [% /if %]

            [% if $field.type == "AdressSelectionFiltered"  %]
                <span class="field">
                    <select name="[% $field.name %][]" id="field_[% $field.name %]" size="1" data-ajax-url="index.php?module=user&event=getAllUsersJSON&WithUsername=1&groups=[% $GroupsForUserFilter[$field.name] %]" class="form-control userSelect " multiple="multiple" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width:100%;">
                        <option disabled>--[% $user->gettext('Bitte wählen') %]--</option>

                    [%* Nur jene Benutzer in die Liste aufnehmen, die schon gewählt sind. Die Auswahl wird dynamisch durch .userSelect in view_ActivityForm.tpl und view_activityInstanceForm.tpl geladen *%]
                    [% foreach from=$HMUsersFiltered[$field.name] item=User key=UserID %]
                        [% if $Tools->FCS_InArray($UserID, $data[$field.name] ) %]
                            <option value="[% $UserID %]" selected>[% $User %]</option>
                        [% /if %]
                    [% /foreach %]

                        [%* html_options options=$HMUsersFiltered[$field.name] selected=$data[$field.name] *%]
                    </select>
                </span>
            [% /if %]


            [% if $field.type == "DataStructure"  %]
                [% assign var="DataStructureFiliale" value="$field.nameFiliale" %]
                <span class="field">
                    [% if $user->Security->Company == 'Stadt Schwabach' %]

                        <label>[% $user->gettext('Referat') %]</label><br/>
                        <select name="[% $field.name %]Filiale" id="field_[% $field.name %]Filiale" size="1" class="form-control AdressSelection selectFiliale" data-placeholder="[% if $user->Security->Company == 'Stadt Schwabach' %][% $user->gettext('Referat wählen') %][% else %][% $user->gettext('Abteilung / Filiale wählen') %][% /if %]" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width: 100%">
                            <option value="0">[% if $user->Security->Company == 'Stadt Schwabach' %][% $user->gettext('Referat wählen') %][% else %][% $user->gettext('Abteilung / Filiale wählen') %][% /if %]</option>
                        </select>
                        <br/>
                        <label>[% $user->gettext('Amt') %]</label> <br/>
                        <select name="[% $field.name %]Job" id="field_[% $field.name %]Job" size="1" class="form-control AdressSelection selectJob" data-placeholder="[% if $user->Security->Company == 'Stadt Schwabach' %][% $user->gettext('Mitarbeiter wählen') %][% else %][% $user->gettext('Stellenbezeichnung wählen') %][% /if %]" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width: 100%">
                            <option  value="0">[% $user->gettext('Bitte erst Referat wählen') %]</option>
                        </select>
                        <br/>

                        <label>[% $user->gettext('Mitarbeiter') %]</label>   <br/>
                        <select name="[% $field.name %]MA" id="field_[% $field.name %]MA" size="1" class="form-control AdressSelection selectMA" data-placeholder="[% if $user->Security->Company == 'Stadt Schwabach' %][% $user->gettext('Amt wählen') %][% else %][% $user->gettext('Führungskraft wählen') %][% /if %]" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width: 100%">
                            <option value="0">[% if $user->Security->Company == 'Stadt Schwabach' %][% $user->gettext('Bitte erst Referat wählen') %][% else %][% $user->gettext('Bitte erst Abteilung / Filiale wählen') %][% /if %]</option>
                        </select>

                    [% else %]

                        <label>[% $user->gettext('Abteilung / Filiale') %]</label><br/>
                        <select name="[% $field.name %]Filiale" id="field_[% $field.name %]Filiale" size="1" class="form-control AdressSelection selectFiliale" data-placeholder="[% if $user->Security->Company == 'Stadt Schwabach' %][% $user->gettext('Referat wählen') %][% else %][% $user->gettext('Abteilung / Filiale wählen') %][% /if %]" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width: 100%">
                            <option value="0">[% if $user->Security->Company == 'Stadt Schwabach' %][% $user->gettext('Referat wählen') %][% else %][% $user->gettext('Abteilung / Filiale wählen') %][% /if %]</option>
                        </select>
                        <br/>
                        <label>[% $user->gettext('Stellenbezeichnung') %]</label> <br/>
                        <select name="[% $field.name %]Job" id="field_[% $field.name %]Job" size="1" class="form-control AdressSelection selectJob" data-placeholder="[% if $user->Security->Company == 'Stadt Schwabach' %][% $user->gettext('Mitarbeiter wählen') %][% else %][% $user->gettext('Stellenbezeichnung wählen') %][% /if %]" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width: 100%">
                            <option  value="0">[% if $user->Security->Company == 'Stadt Schwabach' %][% $user->gettext('Bitte erst Referat wählen') %][% else %][% $user->gettext('Bitte erst Abteilung / Filiale wählen') %][% /if %]</option>
                        </select>
                        <br/>

                        <label>[% $user->gettext('Führungskraft') %]</label>   <br/>
                        <select name="[% $field.name %]MA" id="field_[% $field.name %]MA" size="1" class="form-control AdressSelection selectMA" data-placeholder="[% if $user->Security->Company == 'Stadt Schwabach' %][% $user->gettext('Amt wählen') %][% else %][% $user->gettext('Führungskraft wählen') %][% /if %]" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width: 100%">
                            <option value="0">[% if $user->Security->Company == 'Stadt Schwabach' %][% $user->gettext('Bitte erst Referat wählen') %][% else %][% $user->gettext('Bitte erst Abteilung / Filiale wählen') %][% /if %]</option>
                        </select>

                    [% /if %]        
                </span>
                <br/>
                [% if $data.$DataStructureFiliale %]
                    [% $data.$DataStructureFiliale %]
                [% /if %]

                <script>
                    try {
                        var DataStructure = [% $DataStructure %];
                        var SelectedValues = [% $jsondata %];

                        $("#field_[% $field.name %]Filiale").select2({theme: 'bootstrap-5',
                            data: DataStructure.Filialen
                        }).on('select2:select', function (e) {
                            selectedFilialID = e.params.data.id;

                            $('#field_[% $field.name %]Job').empty();
                            $('#field_[% $field.name %]MA').empty();

                            $("#field_[% $field.name %]Job").select2({theme: 'bootstrap-5',

                                data: DataStructure.Jobs[selectedFilialID]
                            })
                            $("#field_[% $field.name %]MA").select2({theme: 'bootstrap-5',
                                data: DataStructure.Mitarbeiter[selectedFilialID]
                            })
                        })
//Vorausgefüllte Daten:
                        $("#field_[% $field.name %]Filiale").val(SelectedValues['[% $field.name %]Filiale']).trigger('change');

                        if (SelectedValues['[% $field.name %]Filiale']) {
                            $('#field_[% $field.name %]Job').empty();
                            $('#field_[% $field.name %]MA').empty();
                        }

                        $("#field_[% $field.name %]MA").select2({theme: 'bootstrap-5',
                            data: DataStructure.Mitarbeiter[SelectedValues['[% $field.name %]Filiale']]
                        })
                        $("#field_[% $field.name %]MA").val(SelectedValues['[% $field.name %]MA']).trigger('change');

                        $("#field_[% $field.name %]Job").select2({theme: 'bootstrap-5',
                            data: DataStructure.Jobs[SelectedValues['[% $field.name %]Filiale']]
                        })
                        $("#field_[% $field.name %]Job").val(SelectedValues['[% $field.name %]Job']).trigger('change');
                    } catch (e) {
                        console.log(e);
                    }


                    [% if $user->Security->Company == 'Stadt Schwabach' %]

                    try {
                        var DataStructure = [% $DataStructure %];
                        var SelectedValues = [% $jsondata %];

                        $("#field_[% $field.name %]Filiale").select2({theme: 'bootstrap-5',
                            data: DataStructure.Filialen
                        }).on('select2:select', function (e) {
                            selectedFilialID = e.params.data.id;

                            $('#field_[% $field.name %]Job').empty();
                            $('#field_[% $field.name %]MA').empty();

                            $("#field_[% $field.name %]Job").select2({theme: 'bootstrap-5',

                                data: DataStructure.Jobs[selectedFilialID]
                            })
                            $("#field_[% $field.name %]MA").select2({theme: 'bootstrap-5',
                                data: DataStructure.Mitarbeiter[selectedFilialID]
                            })
                        })
//Vorausgefüllte Daten:
                        $("#field_[% $field.name %]Filiale").val(SelectedValues['[% $field.name %]Filiale']).trigger('change');

                        if (SelectedValues['[% $field.name %]Filiale']) {
                            $('#field_[% $field.name %]Job').empty();
                            $('#field_[% $field.name %]MA').empty();
                        }

                        $("#field_[% $field.name %]MA").select2({theme: 'bootstrap-5',
                            data: DataStructure.Mitarbeiter[SelectedValues['[% $field.name %]Filiale']]
                        })
                        $("#field_[% $field.name %]MA").val(SelectedValues['[% $field.name %]MA']).trigger('change');

                        $("#field_[% $field.name %]Job").select2({theme: 'bootstrap-5',
                            data: DataStructure.Jobs[SelectedValues['[% $field.name %]Filiale']]
                        })
                        $("#field_[% $field.name %]Job").val(SelectedValues['[% $field.name %]Job']).trigger('change');
                    } catch (e) {
                        console.log(e);
                    }

                    [% /if %]

                </script>
            [% /if %]


            [% if $field.type == "Bestellkatalog"  %]


                <input type="hidden" name="[% $field.name %]" id="BKSumme" value="[% $data[$field.name] %]" size="5" maxlength="5" class="form-control " [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] />
                <span class="field">

                </span>
            </div>
        </div>
        <div>
            <div class="row">        
                <div class="col-12" id="BKCart">[% $BKBestellungen %]</div>            
                [% if $editable %]
                    <div class="col-2">
                        <label>[% $user->gettext('Segment') %] </label><br/>
                        <select name="[% $field.HashName %]Segment" id="field_[% $field.HashName %]Segment" size="1" class="form-control selectSegment" data-placeholder="[% $user->gettext('Segment wählen') %]" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width: 100%">
                            <option value="0">[% $user->gettext('Segment wählen') %]</option>
                            [% html_options options=$BKSegments selected=$wf.Bestellkatalog.SegmentID %]
                        </select>                            
                    </div>
                    <div class="col-2">
                        <label>[% $user->gettext('Gruppe') %] </label> <br/>
                        <select name="[% $field.HashName %]Gruppe" id="field_[% $field.HashName %]Gruppe" size="1" class="form-control selectGruppe" data-placeholder="[% $user->gettext('Gruppe wählen') %]" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width: 100%">
                            <option  value="0">[% $user->gettext('Bitte erst Gruppe wählen') %]</option>
                        </select>                            
                    </div>
                    <div class="col-4">
                        <label>[% $user->gettext('Artikel') %] </label>   <br/>
                        <select name="[% $field.HashName %]Artikel" id="field_[% $field.HashName %]Artikel" size="1" class="form-control selectArtikel" data-placeholder="[% $user->gettext('Artikel wählen') %]" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width: 100%">
                            <option value="0">[% $user->gettext('Bitte erst Artikel wählen') %]</option>
                        </select>                            
                    </div>
                    <div class="col-2">
                        <label>[% $user->gettext('Aktion') %] </label>   <br/>
                        <select name="[% $field.HashName %]Action" id="field_[% $field.HashName %]Action" size="1" class="form-control selectArtikel" data-placeholder="[% $user->gettext('Artikel wählen') %]" [% if $field.required == "Y" && $editable %]required[% /if %] [% if !$editable && $aid > 0 %]readonly="readonly"[% /if %] style="width: 100%">
                            <option value="0" selected>[% $user->gettext('Add') %]</option>
                            <option value="1">[% $user->gettext('Change') %]</option>
                            <option value="2">[% $user->gettext('Delete') %]</option>
                        </select>                            
                    </div>
                    <div class="col-2">
                        <label>[% $user->gettext('Menge') %] </label>   <br/>
                        <input type='number' name="[% $field.HashName %]Menge" id="field_[% $field.HashName %]Menge" class="form-control" value='1' />
                    </div>  

                    <div class="col-12" id="ArticleData"></div>
                [% /if %]
            </div>
            <br/>

            <script>

                var changeFromArticle = false;
                var changeFromGroup = false;

                $('#field_[% $field.HashName %]Gruppe').select2({theme: 'bootstrap-5',
                    ajax: {
                        url: 'index.php?module=workflow&event=getGroupsForSegment&SegmentID=0',
                        dataType: 'json'
                    }
                });


                $('#field_[% $field.HashName %]Artikel').select2({theme: 'bootstrap-5',
                    ajax: {
                        url: 'index.php?module=workflow&event=getArticleForGroup&GroupID=0',
                        dataType: 'json'
                    }
                });

                try {
                    $('#field_[% $field.HashName %]Segment').on('change', function (e) {

                        selectSegmentID = $('#field_[% $field.HashName %]Segment').val();
                        $("#field_[% $field.HashName %]Gruppe option").each(function () {
                            $(this).remove();
                        });
                        if (!changeFromGroup) {
                            $('#field_[% $field.HashName %]Gruppe').select2({theme: 'bootstrap-5',
                                ajax: {
                                    url: 'index.php?module=workflow&event=getGroupsForSegment&SegmentID=' + selectSegmentID,
                                    dataType: 'json'
                                }
                            })
                        }
                        changeFromGroup = false;
                    });

                    $('#field_[% $field.HashName %]Gruppe').on('change', function (e) {
                        selectGroupID = $('#field_[% $field.HashName %]Gruppe').val();

                        $("#field_[% $field.HashName %]Artikel option").each(function () {
                            $(this).remove();
                        });
                        changeFromGroup = true;

                        if (!changeFromArticle) {

                            $('#field_[% $field.HashName %]Artikel').select2({theme: 'bootstrap-5',
                                ajax: {
                                    url: 'index.php?module=workflow&event=getArticleForGroup&GroupID=' + selectGroupID,
                                    dataType: 'json'
                                }
                            })
                        }



                    })

                    $('#field_[% $field.HashName %]Artikel').on('change', function (e) {

                        selectArtikleNr = $('#field_[% $field.HashName %]Artikel').val();
                        selectGroupID = $('#field_[% $field.HashName %]Gruppe').val();

                        $.ajax({
                            type: "POST",
                            url: "index.php?module=workflow&event=getArticleData",
                            data: {GroupID: selectGroupID, ArtikelNr: selectArtikleNr}
                        }).done(function (response) {
                            $('#ArticleData').html(response);
                        })


                    })
                } catch (e) {
                    console.log(e);
                }

                function addToCart(ArtikelNr, FieldID) {
                    $.ajax({
                        type: "POST",
                        url: "index.php?module=workflow&event=addToCart",
                        data: {ActivityID: aid, ArtikelNr: ArtikelNr, Anzahl: $('#field_[% $field.HashName %]Menge').val(), ActionID: $('#field_[% $field.HashName %]Action').val(), OrderText: $('#OrderText').val()}
                    }).done(function (response) {
                        console.log("response: " + response)
                        if (response.error) {
                            noty({
                                text: response.message,
                                type: 'error',
                                timeout: notifyTimeout
                            });
                        } else {
                            noty({
                                text: response.message,
                                type: 'success',
                                timeout: notifyTimeout
                            });
                            $('#BKCart').html(response.content);
                            $('#BKSumme').val(response.summe);
                            $('#ArticleData').html("");
                        }


                    })
                }
                function removeFromCart(ArtikelNr) {
                    $.ajax({
                        type: "POST",
                        url: "index.php?module=workflow&event=removeFromCart",
                        data: {ActivityID: aid, ArtikelNr: ArtikelNr}
                    }).done(function (response) {
                        console.log("response: " + response)
                        if (response.error) {
                            noty({
                                text: response.message,
                                type: 'error',
                                timeout: notifyTimeout
                            });
                        } else {
                            noty({
                                text: response.message,
                                type: 'success',
                                timeout: notifyTimeout
                            });
                            $('#BKCart').html(response.content);
                            $('#BKSumme').val(response.summe);
                        }
                    })
                }

            </script>
        [% /if %]

        [% if $field.type == "AssetDeskOrderCatalog"  %]

            [% include file=$modulePath|cat:"/view_AssetDeskOrderCatalog_FormField.tpl" %]

        [% /if %]



    </div>
    <div id="field_error_[% $field.name %]" style="display:none;color:red;" class="formwizard_error error"></div>

</div>
[% /if %]

[% foreach from=$field.ele item=ele key=FieldIndex name=SubFieldlist %]

    [% assign var="classnameHash" value="$field.name_$ele" %]
    [% capture name="clearName" %][% $field.name %]_[% $ele %][% /capture %]
    <div class="SubformField SFForField_[% $field.name|regex_replace:"/[\WäöüÄÖÜß]/":"" %] [% $field.name|replace:" ":""|replace:"?":"" %]_[% $ele|replace:" ":""|replace:",":""|replace:"(":""|replace:")":"" %] [% $smarty.capture.clearName|regex_replace:"/[\WäöüÄÖÜß]/":"" %] " style="display:none;">

        [% if $smarty.foreach.SubFieldlist.first && $Tools->FCS_Count($field.Subform.$FieldIndex) %]

        [% /if %]
        [% foreach from=$field.Subform.$FieldIndex item=Subform key=SubFieldID %]

            [% include file=$modulePath|cat:"/view_activityInstanceFormField.tpl" field=$Subform FieldID=$FieldID isSubFormField=1 SubformForField=$field.name SubformForElement=$ele  %]

        [% /foreach %]

    </div>
[% /foreach %]
