/*!
 * Bootstrap-select v1.12.4 (http://silviomoreto.github.io/bootstrap-select)
 *
 * Copyright 2013-2017 bootstrap-select
 * Licensed under MIT (https://github.com/silviomoreto/bootstrap-select/blob/master/LICENSE)
 */

(function (root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module unless amdModuleId is set
    define(["jquery"], function (a0) {
      return (factory(a0));
    });
  } else if (typeof module === 'object' && module.exports) {
    // Node. Does not work with strict CommonJS, but
    // only CommonJS-like environments that support module.exports,
    // like Node.
    module.exports = factory(require("jquery"));
  } else {
    factory(root["jQuery"]);
  }
}(this, function (jQuery) {

(function ($) {
  $.fn.selectpicker.defaults = {
    noneSelectedText: 'áž˜áž·áž“áž˜áž¶áž“áž¢áŸ’ážœáž¸áž”áž¶áž“áž‡áŸ’ážšáž¾ážŸážšáž¾ážŸ',
    noneResultsText: 'áž˜áž·áž“áž˜áž¶áž“áž›áž‘áŸ’áž’áž•áž› {0}',
    countSelectedText: function (numSelected, numTotal) {
      return (numSelected == 1) ? "{0} áž’áž¶ážáž»ážŠáŸ‚áž›áž”áž¶áž“áž‡áŸ’ážšáž¾ážŸ" : "{0} áž’áž¶ážáž»ážŠáŸ‚áž›áž”áž¶áž“áž‡áŸ’ážšáž¾ážŸ";
    },
    maxOptionsText: function (numAll, numGroup) {
      return [
        (numAll == 1) ? 'ážˆáž¶áž“ážŠáž›áŸ‹ážŠáŸ‚áž“áž€áŸ†ážŽážáŸ‹ ( {n} áž’áž¶ážáž»áž¢ážáž·áž”ážšáž˜áž¶)' : 'áž¢ážáž·áž”ážšáž˜áž¶ážˆáž¶áž“ážŠáž›áŸ‹ážŠáŸ‚áž“áž€áŸ†ážŽážáŸ‹ ( {n} áž’áž¶ážáž»)',
        (numGroup == 1) ? 'ážŠáŸ‚áž“áž€áŸ†ážŽážáŸ‹áž€áŸ’ážšáž»áž˜ážˆáž¶áž“ážŠáž›áŸ‹ ( {n} áž¢ážáž·áž”ážšáž˜áž¶áž’áž¶ážáž»)' : 'áž¢ážáž·áž”ážšáž˜áž¶áž€áŸ’ážšáž»áž˜ážˆáž¶áž“ážŠáž›áŸ‹ážŠáŸ‚áž“áž€áŸ†ážŽážáŸ‹ ( {n} áž’áž¶ážáž»)'
      ];
    },
    selectAllText: 'áž‡áŸ’ážšáž¾ážŸâ€‹áž™áž€â€‹áž‘áž¶áŸ†áž„áž¢ážŸáŸ‹',
    deselectAllText: 'áž˜áž·áž“áž‡áŸ’ážšáž¾ážŸâ€‹áž™áž€â€‹áž‘áž¶áŸ†áž„áž¢ážŸ',
    multipleSeparator: ', '
  };
})(jQuery);


}));
